Welcome

>> For Asix 8 users

www.asix.com.pl

AslView -

Monitoring and Diagnosing the Network Connections of Asix System

Doc. Nr ENH8017

Version: 2016-01-19


AslView

1. AslView

1.1. Use of AslView

AslView is used for monitoring and diagnosing the network connections of Asix system. AslView is designed to establish connections with Asix ASLINK network module operating on a local or remote station and to monitor status of connections established by other Asix components, such as ASMEN and ASPAD, as well as to monitor the status of time synchronization with other stations. AslView enables configuring the operation of ASLINK network module.

1.2. Startup of AslView

AslView can be started by other Asix components. It can also be started with the following command:

AslView

If Asix has already been started during the execution of the command, AslView will be linked to ASLINK network module. In order to enable monitoring of network links, AslView must always be connected with ASLINK network module (local or located on a remote station). If Asix has not been started before, set the /ASLINK option. In this case ASLINK network module will be started and initialized. Now, the AslView uses the network module to locate other network stations. This start-up method is used when a given station is used at this moment to diagnose other stations only. Although Asix can be started when AslView is active, you should, however, bear in mind when starting AslView that the network module has already been initialized basing on parameters that can be quite different from those contained in the application's initialization file.

When you start the AslView module, the remote station name can be given as parameter:

AslView station_name

The station name should be the same as the one assigned to the station in the operating system network settings (Control panel/Network). You can pass also the web address in numeric format:

AslView 200.200.200.4

Or in symbolic format:

AslView asix.askom.com.pl.

AslView started in such a way tries to establish connection with a remote station of address defined in the „station_name" parameter. AslView activated in this mode does not use the network module locally (unless it is connected later).

If it is successfully connected to the network module, AslView main window is opened where general information on the station is displayed – main window (see: 2.1.1. Station Window).

Several AslView programs can be activated simultaneously. In addition, several AslView programs can be connected to one network module.

AslView can also be started automatically when activating ASLINK network module if it has been configured appropriately (see: 2.3.7. Diagnostics).

1.3. System Requirements

AslView requires approx. 6 MB RAM. In addition, approx. 1 MB should be added for every station the AslView is connected to, including the local station.

Connection with remote stations is performed with use of DCOM protocol.

For Windows NT/2000/XP DCOM is a component of the operating system.

2. User Interface

2.1. AslView Main Window

2.1.1 Station Window

A station window is the main window of AslView program, which displays general information on the station, i.e.:

· information on ASLINK network module and operating system versions;

· station start-up time and current time;

· quantity of the data sent, received, number of network operations, number of errors and average transmission rate;

· names of other stations detected by ASLINK network module and names of clients and servers handled by the network module along with their links (see: 2.1.2. Sstations, Clients and Servers Tree);

· messages reported by the network module and messages reported by AslView (see: 2.1.4. Message Window);

· graphic representation of average transmission rate (see: 2.1.5. Average Transmission Rate Graph).

Station window includes the main menu of station window.

The quantity of the data sent and received is expressed in bytes and packets (set of bytes sent or received with one network operation performed by ASLINK module).

The window title includes a station name and the station group name (in the brackets), which the station belongs to. The window also includes the information on computer name defined in the network settings for Windows. The station name used by ASLINK network module and the computer name in Windows are not identical. When connecting AslView to other stations within the network, the computer name in Windows should always be given (see: 2.5.12. Connect with Station Window).

On the right, over the message window, there is a connection marker indicating connection between AslView and ASLINK network module.

When closing the window, its location and size are recorded in the system registry. When the window related to a specific station is reopened that values will be restored.

Note:

If no link with ASLINK network module is present, the station window displays the last read station status.

2.1.2 Stations, Clients and Servers Tree

On the left to the station window there is a tree of stations, clients and servers.

In the upper part of the tree, there are network stations known to ASLINK module. If a station is active, its name is preceded with [image] icon. The names of inactive stations, i.e. stations on which asix application is inactive, are marked with [image] icon.

Under the stations, all clients and servers handled by the network module are listed in alphabetical order. Clients are marked with [image] icon and servers - with [image] icon.

Each client can be connected to one server located on the same or remote station. Each server can be connected to many clients located on the same or remote station. Links are shown on separate tree branches related to server or client respectively. Next to the name of a remote partner, the name of the station where it is located is given in the brackets. If the name of remote station has not been known yet, the field between the brackets is empty. In case of servers, links are grouped according to the name of the station, which client is located in. Such station takes a separate branch connected to the server. Next to the station name, the number of clients of stations connected to the specific server is given in the brackets. Next, each station branch is related to client branches.

EXAMPLE

Example of a client branch.

The above illustration presents a client named „ASM_SINEC_KW" connected to a server named „ASMEN_S" located on a PC named „MANIUS.".

EXAMPLE

Example of a server branch.

The above figure presents a server named „ASMEN_S" connected to two clients named ASM_CZASOM and ASM_SINEC_KW located on a PC named „MANIUS2.".

The remote partner name is preceded with relevant symbol of connection status.

no link. The remote partner name and the station name are data regarding to the previously established connection. If the previous status was "search for a server", next to the symbol the name of the server searched for is displayed.

client is in "searching a server" status. Symbol appears only when queries for servers are being sent. This is a short-time operation then this symbol will appear rarely.

connection phase in progress

connection has been established

disconnection phase in progress

Double clicking on the active station opens the station's info window. Double clicking on the client or server opens the client/server window. Double clicking on the link opens the link window.

NOTE:

A tree includes stations that belong to the same station group to which belongs the station AslView program is linked only, i.e. stations with the same group name. Connection with stations from other groups is possible with Connect with.. command in AslView's main menu (File submenu).

NOTE:

If the network module handles many network protocols (logical adapters), the same station may be contained in the tree of stations, clients and servers tree many times respectively. By opening station info window, you can obtain the information on the network adapter, through which the report of presence of this station was received.

NOTE:

Stations operating under control of ASLINK module in version 5.00.00 and higher, can always be displayed as active. Presence of stations in the network is detected on the basis of datagram packets received from the network, which can be lost due to large traffic. Due to this the station tree not always displays all the stations present in the network. In the main menu (Tools submenu) of AslView program, there is a "Station search" command, which broadcasts the query to all stations present in the network. This command may help to locate active stations, which are not displayed in the stations tree. Broadcasting this query concerns only the stations operating under control of ASLINK network module in version 5.0.0 or higher.

…

2.1.3 Context-Sensitive Menu in Stations, Clients and Servers Tree

The menu consists of the following items:

Connect - this item is active if the active station is selected; when selected, connection with indicated station is established and the station window is opened;

Show - if a station is selected, the station info window will be opened; if a client or server is selected, the client/server info window (see: 2.2.1. Client/Server Window) will be opened; if a link between client and server is selected the link window will be opened;

Remove - if inactive station is selected, the station will be deleted from the tree;

Refresh - selection of this item will refresh the tree contents.

2.1.4 Message Window

In the bottom part station window a message box is provided:

This message box is designed to display messages generated by ASLINK network module and by AslView program. Most of messages are displayed with time when the event related to the specific message occurred. Time format can be set with Time format... command in Settings submenu or with the same command in the message window's context-sensitive menu. Number of items of information entered to message box depends on ASLINK network module diagnosis configuration and AslView data acquisition.

2.1.5 Average Transmission Rate Graph

In the right upper section of the station window an average transmission rate graph is provided.

This graph shows totals of sent and received bytes within the last minute given as bytes per second. Results that are most close to reality are displayed when average time of measurement data acquisition is at least one minute. When placing the mouse cursor on the graph, a field appears where the vertical axis range can be read out. This range is determined dynamically so that the graph can hold all the transmission rate values. Below the graph the current average transmission rate is displayed.

2.1.6 Station Window's Main Menu

The station window's main menu consists of the following submenus described in the successive chapters:

· Filesubmenu;

· Viewsubmenu;

· Toolssubmenu;

· Settingssubmenu;

· Helpsubmenu.

2.1.6.1 File Submenu in Station window's Main Menu

The File submenu is a component of the station window's main menu and consists of the following items:

Connect - initiates process of connecting AslView with a station selected in the stations, clients and servers tree;

Connect with ... - opens connect with remote station window;IDH_ConnectWithWindow

Delete - deletes selected inactive station from the stations, clients and servers tree; IDH_StationsTree;;; ;

Save - saves all the messages displayed in the message window in the file indicated by the user;

Save state - saves information acquired by AslView into the file indicated with Save item; if the file has not been opened yet, the file selection pop-- up panel is opened;

Close - closes AslView.

2.1.6.2 View Submenu in Station Window's Main Menu

The View submenu is a component of the station window's main menu and consists of the following items:

Refresh - reads the basic information on the station and updates the contents displayed in the station window;IDH_MainWindow;

Show - depending on which item is selected in the stations, clients and servers tree, the relevant window will be opened; if a station is selected, the station info window will be opened; if a client or server is selected, the client/server info window will be opened; if a link with remote partner is selected the client-server link window will be opened;

AslView viewers - opens AslView window; this window displays information on AslView programs linked to a given station; it also enables to disconnect them remotely;

Adapters - opens the operating system adapters window; this window displays logic adapters defined in Windows;

Sessions - opens the session window; this window presents sessions established by ASLINK network module;

Synchronization - opens the time synchronization window; this synchronization window presents the status of time synchronization with other stations;

Adapter statistics - opens the adapter statistics window.

The window displays various values related to individual network adapters.

2.1.6.3 Tools Submenu in Station Window's Main Menu

The Tools submenu is a component of the stations window's main menu and consists of the following items:

Station search - broadcasts a request in the network that all stations handled by the ASLINK network module should answer;

Network errors - opens a window for network error numbers; this window enables to interpret error codes that occur in messages output by the network module into the message window;IDH_MessageWindow; ;

System error - opens a window to display operating system error numbers; this window enables to interpret error codes that occur in messages output by the network module into the message window;IDH_MessageWindow; ; ;

Send message - opens the info message send window; this window enables to enter any text and send it to the remote station.

2.1.6.4 Settings Submenu in Station Window's Main Menu

The Settings submenu is a component of the station window's main menu and consists of the following items:

Time format - opens the change time format window; the time format regards the information displayed in the message window;IDH_MessageWindow;; ; ;;;;

Network module - opens the window for ASLINK network module;

Configuration - opens the AslView configuration window.

2.1.6.5 Help Submenu in Station Window's Main Menu

The Help submenu is a component of the station window's main menu and consists of the following items:

Index - displays AslView help index;IDH_StationsTree

About - opens AslView visit card window.

2.2. Owner Window

2.2.1 Client/Server Window

This window is opened by selecting appropriate command in the station window menu (View/Show...), context-sensitive menu in stations, clients and servers tree (Show...) or by double clicking on relevant item on stations, clients and servers tree.

The client/server window presents the current status of client or server of ASLINK network module:

· client/server name (here client is shown);

· client/server installation time;

· current station time;

· quantity of data sent/received expressed in bytes and packets;

· number of sending network errors;

· number of API errors – the errors show improper cooperation between client/server and ASLINK network module;

· number of situations when client/server has not free space to receive data („no buffers");

· number of packets (Callback) received by client/server (number of packets received by client/server is not the same as the number of packets received from network – some packets are transferred to client/server via ASLINK module (e.g. LINK_STATE));

· number of packets sent/received split into individual packet types (see: 3.10. Packets Used by ASLINK Network Module).

Client/server window also includes history window, average transmission rate graph and marker of connection between AslView and ASLINK network module[1].

------------------------------------------------

[1] Marker is in the form of green or red circle. If a marker is green, connection with the network module has been established and data can be read out from the station. The marker changes its color into red if the network module ends its operation or if the network connection with remote network station AslView was connected with is interrupted. Red color means the information displayed in the window the marker is in are not valid any more.

2.2.2 Client/Server History Window

In the bottom section of client/server window there is an owner history window.

The window presents history of client/server connections. Each history item consists of the following sub items:

· server searching beginning time (for clients only)

· connection initiating time

· disconnection time, if connection has been established

· remote partner name (client or server) and station name (in the brackets)

· disconnection status code or code of the reason for its lack

· disconnection reason or reason for its lack

§ "rejected" - connection establishment proposal has been rejected by remote partner. Status code is the status transferred by remote partner. If connection initiating takes place when remote partner does not exist already, connection establishment proposal is rejected on ASLINK module initiative with 8BA5 code.

§ "send error" - reason for disconnection is a network send error

§ "receive error" - reason for disconnection is a network receive error

§ "own request" - client/server has requested disconnection

§ "API error" - error of parameters passed to the network module by the client or server

§ "deinstall" - client/server has been uninstalled

§ "filter" - connection disconnected because of change of filter or connection has not come into effect because of filter change

§ "ACCEPT error" - client has not accepted confirmation of connection establishment

§ "FIND order" - when connection is active client has ordered to search for new server

§ "call error" - connection has not come into effect because of session establishment error

§ "no remote partner" - connection has not come into effect because no station has been within the network

§ "partner request" - remote partner request

§ "unknown" - the reason is unknown

At present the context-sensitive menu of owner history window contains only one item Show..., which displays owner historical link window. Double clicking on selected item opens this window as well.

2.2.3 Average Transmission Rate Graph

In the right upper section of the client/server window an average transmission rate graph is provided.

The graph shows total of transferred and received bytes within the last minute displayed as bytes per second. Results that are most close to reality are displayed when average time of measurement data acquisition is at least one minute. By placing the mouse cursor over the graph, the range of vertical axis can be read out from the field appearing then. The range of vertical axis is determined dynamically so that the graph can hold all the transmission rate values. Below the graph the current average transmission rate value is displayed.

2.2.4 Main Menu of Client/Server Window

Main menu of client/server window consists of the following items described in the successive chapters:

File submenu;

History submenu.

2.2.4.1 File Submenu of Client/Server Window Main Menu

At present File submenu consists of Close only, which closes client/server window.

2.2.4.2 History submenu of owner window main menu

History submenu consists of the following items:

ON - when checked, cyclic retrieving of the data on previous connections and appropriate updating of client/server connection history window is initialized;

OFF - when checked, cyclic retrieving of the data on previous connections is stopped;

Read - when selected, single retrieving of new records in the client/server connection history window is carried out and client/server connection history window is updated.

2.3. ASLINK Network Module Parameterization Window

AslView configuration window is opened with Network module... command in main window Settings submenu and consists of the following parts (pages):

· general parameters;IDH_ASLINKGeneralParamsWindow

· time synchronization;IDH_ASLINKSyncParamsWindow

· diagnostics;IDH_ASLINKDiagnosticParamsWindow

The Apply buttons becomes active after at least one parameter has been modified and pressing it changes selected parameters. By default only current parameters of network module are changed. It means changes are not permanent and restarting network module will restore previous values. In order to save changes in initialization file press Save button. Initialization file selection window will be opened then. Parameters are changed after OK or Apply command has been executed. OK command simultaneously closes parameters window.

NOTE:

Some parameters cannot be changed dynamically, i.e. during ASLINK module operation. They can only be saved in initialization file.

NOTE:

The window displays current parameters of network module only. Execution of Apply command, even if Save command has been executed before, refreshes the window contents based on the current parameters of ASLINK network module operation.

NOTE:

The configuring window enables to change the most used parameters only. All parameters can be changed by manual edition of initialization file.

NOTE:

Network module configuring may be protected with password (see: 2.6. Password Entering).

2.3.1 General Parameters

The general parameters window is a page of ASLINK network module configuring window.

The page enables to change the following parameters:

· station name

· group[2] name

· logical adapters used by network module.

· adapters used to locate servers

· session connection transfer timeout

· session connection reception timeout

· total number of buffers designed to receive datagram packets (the pool of buffers is divided into individual adapters)

· total number of buffers designed to receive session packets (the pool of buffers is divided into individual adapters)

· network station name filters – connections with stations, which names does not fit the given filters will be impossible

· permission to save files located on local station on the request of remote stations

· hiding files – if this field is checked, access to local file via remote stations is entirely blocked

· service of network modules in version earlier than 5.00.00 – if the field is not checked, connection with stations operating under control of such network modules will be impossible

Individual adapters and filters should be separated with commas.

Beside some of the fields there are buttons, which enable to change a parameter with relevant pop-up panel.

· the button located next to the field of used adapters opens used adapters window

· the button located next to adapters field for searching servers opens adapters for server searching window

· the button located next to filters field opens filter list window

NOTE:

The following parameters can only be changed dynamically in the current version of network module (5.00.000): filters, hiding files and permission for saving into files. Parameters concerning timeouts can be changed dynamically but changes will be of any importance for newly established network sessions only.

NOTE:

Permission for saving and hiding files does not regard saving in initialization file carried out by AslView. The parameters concern file operations realized by Asix only.

----------------------------------------

[2] Group is a set of stations with the same group name. A group name is defined in the initialization file of Asix application in [ASLINK] section or through AslView.

2.3.2 Filter List Window

The filter list window is opened by pressing filter button in general parameters page of ASLINK network module parameter window.

The window is used to enter filters. In order to delete a filter, select it and then execute Delete command. In order to put a new filter on a list, enter it into the field over the buttons and execute Add command. The contents of the field over the buttons are initialized with the filter highlighted on a list.

2.3.3 Window of Adapters Used by ASLINK

The window of adapters, used by ASLINK network module to communicate with other stations, is opened by pressing "adapters used" button in general parameters page of ASLINK network module parameters window.

This window enables to select adapters used by ASLINK network module. If any adapters have been already selected, they will be initially checked after window opening.

NOTE:

The window contains adapters defined in operating system. Not all filters may be available for ASLINK network module.

2.3.4 Window of Adapters Used for Servers Searching

The window of adapters, used by ASLINK network module for searching servers located on other stations, is opened by pressing "adapters for servers searching" button in general parameters page of ASLINK network module parameter window.

This window enables to select adapters used by ASLINK network module to search for servers. If any adapters have been already selected, they will be initially checked after window opening.

NOTE:

This window contains only adapters used by network module (see: used adapters window).

2.3.5 Time Synchronization

The time synchronization parameters window is a page of ASLINK network module configuring window.

This page enables to configure ASLINK network module in the scope of time synchronization. In order for a specific station to function as a timeserver, check Time server field. After the field is checked, the timeserver parameters, i.e. priority and time interval at which time packets are transferred, can be entered.

The remaining parameters concern operation of a station as the client of other timeservers. Checking No synchronization field will make the clock be not synchronized with other stations. If a station is to synchronize its time with other stations, enter maximum difference between station's local time and remote timeserver's time, which, if overridden, will set the clock. If Time servers field is empty, the station will use any timeserver that is available at a given moment. Set of servers to be used by the station can be limited by giving their names in Time servers field. Server names should be separated with a comma. For this purpose time server list window can also be used by pressing the button located close to server list field.

The Time replication fields should be checked if the station uses more than one network adapter and time packets received on one adapter can be transferred to other adapters.

All time synchronization-related parameters can be changed dynamically during ASLINK module operation.

2.3.6 Time Servers List Window

The timeservers list window is opened by pressing Time server button in time synchronization page of ASLINK network module parameters window.

Timeservers window is used to enter the names of servers the station may synchronize its time with. In order to delete a timeserver name, select it on the list and then execute Delete command. In order to put a new server on a list, enter it into the field over the buttons and execute Add command. The contents of the field over the buttons are initialized with the name highlighted on a list.

2.3.7 Diagnostics

The diagnostic parameters window is a page of ASLINK network module parameters window.

This page enables to control diagnostic information output by ASLINK network module.

In the Log file field, the name of the file the information on events occurring during network module operation will be saved into will be entered. In order to abandon entering information into events file, delete the contents of the field. File name change during operation will make previous field be closed and new file be opened.

On the right to the file name there is a max size field, which enables to limit the events file size.

Below the field there are fields, which, if checked, output additional diagnostic information.

· send information on data sent to the network will be logged.

· receive information on data received from the network will be logged.

· API information on data passed by clients/servers into the network module will be logged.

· callback information on data transferred by the network module to clients/servers will be logged.

· data packets information on data packets will be logged. If this field is not checked, only information on organizational packets, i.e. those related to searching for servers, establishment of connections and disconnections, will be output.

· data packet data contents of data packets will be logged. If this field is not checked, only general information on data packets will be output.

· control packet data contents of organizational packets will be logged. If this field is not checked, only general information on packets will be output.

Before information on event is saved into events file or transferred to AslView programs connected with network module, it is saved in operating memory in intermediate buffer. Min. event buffer size and max. event buffer size fields enable to define minimum and maximum size of the buffer. If the buffer is too small in relation to frequency at which events are to be generated, the messages like Loss of nn events (nn is the number of lost events) will occur in the events file or in AslView's message window.

Each client is related to history of its connections. The max user history enables to define maximum number of records in the history. If maximum number of records is exceeded, the oldest records will be removed.

The diagnosis level controls the output of other diagnostic information with various levels of details and importance. Set of events related to a specific level may be changed in successive versions of ASLINK network module and is not described herein.

Checking Diagnostic window field activates AslView unless it has already been activated. AslView will be activated on the station parameterized network module will operate on. Saving the parameter into initialization file will automatically activate AslView during activation of the application.

All diagnostic parameters can be changed dynamically during ASLINK module operation.

NOTE:

In order to display diagnostic information, configure AslView in an appropriate manner (see: 2.4.1. Data Acquisition Configuration).

NOTE:

This document does not contain data that allow full interpretation of diagnostic information. The purpose of diagnosis is to help to determine the reasons of incorrect functioning of Asix network connections and should be activated by ASKOM employees or with their support.

NOTE:

Automatic launching of AslView by Asix with DIAG_WINDOW parameter of ASLINK, requires correct installation of AslView as COM server. For this purpose it should be run with /regserver option. Usually it is made automatically during Asix setup.

2.4. AslView Configuration Window

AslView configuration window is opened with Configuration... command in main window Settings submenu and consists of the following parts (pages):

· data acquisition parameters

· other AslView parameters

AslView's configuration parameters regard only the station related to main window the AslView's configuration window was opened from and are saved into system registry. Each station has its own set of parameters identified with station name. Local station has one set of parameters regardless of the name given to local station. With reopening of the main window of the station related to a given station, the parameters saved in system registry are restored.

2.4.1 Data Acquisition Configuration

Data acquisition configuration window is a page of AslView configuration window.

This window enables to define the type of information displayed in message window. Every event generated in ASLINK network module has a set of attributes assigned to it. This set contains, among other things, event status: error, important event, and diagnostic event. Data acquisition configuration window enables to define the status of events displayed. Some diagnostic events can be generated conditionally by ASLINK network module. Types of events generated conditionally are set by appropriate ASLINK module diagnostics parameterization. Relevant diagnostic sub-fields define a conditional event displayed in message window. If no sub-field is checked, unconditional diagnostic events will be displayed only. The window contains the following options of conditional event selection:

· send events related to sending data to the network

· receive events related to receiving data from the network

· API events related to calling functions executed by ASLINK module

· Callback events related to transferring data to clients/servers by ASLINK module

· data packets if this sub-field is checked, the events checked in the above-mentioned sub-fields will include data packets. If the sub-field is not checked, organizational packet data will be displayed only.

· network commands events related to realization of individual network operations

· other other conditional events

Diagnostics depend also on its details level. The diagnostics level enables to set it in an appropriate manner. The diagnosis level controls the output of diagnostic information with various levels of details and importance. Set of events related to a specific level may be changed in successive versions of the network module and is not described herein.

NOTE:

Acquisition window defines only diagnostic events, which ASLINK network module will transfer to AslView, if the events will be generated by ASLINK module. Set of diagnostic events generated by ASLINK network module is defined by appropriate parameters passed in initialization file or diagnostics page of ASLINK network module parameterization window. Two programs linked with the same ASLINK module may display different information, depending on settings in data acquisition window.

NOTE:

Transferring information on diagnostic events may result in significant load of the network and ASLINK network module.

NOTE:

This document does not contain data that allow full interpretation of diagnostic information. The purpose of diagnosis is to help in establishment of the reasons for incorrect functioning of Asix network connections and should be activated by ASKOM employees or with their support.

2.4.2 Other Parameters of AslView

Window for configuration of other AslView parameters is a page of AslView configuration window.

The window enables to define the following parameters:

· maximum number of messages in message window;

· information refreshing intervals in main window;

· intervals at which ASLINK network module user data are refreshed, i.e. data displayed in owner window;

· intervals at which data displayed in link window are refreshed;

· intervals at which average transmission rates are calculated. Values of the average transmission rates are used to draw up average transmission rate graphs in main window, link window and owner window.

Checking automatically open this station window opens main window with appropriate name upon the station becomes visible in the network.

2.5. Other Windows

2.5.1 Historical Client-Server Connections Window

The window is opened by double clicking on selected item in stations, clients and servers tree or by selection of appropriate command in context-sensitive menu in client/server history window.

The window displays data on previous client/server connection and includes the following information:

left panel

· successive number in client/server connection history

· server searching initialization time (for servers this field empty)

· connection time

· disconnection time

· cid – client/server identifier used during connection (in the brackets cid4 is given, which is used for connections with network modules in version earlier than 5.00.000.If cid4 is 0, remote partner of connection operates under control of network module in version 5.00.000 or higher)

· network adapter logical number and a set of protocols related to it is used to realize connection (information on protocols is unavailable in Windows 95/98)

· network session number

· remote partner name (in the above illustration it is "ASMEN_S") and remote partner cid identifier

· remote PC name (in case of local connections performed within ASLINK network module between clients and servers located on the same station, instead of PC name there is "local connect." message)

· the reason for disconnection (description of reasons is given in description of client/server history window)

· disconnection status code

· additional disconnection status code (for diagnostic purposes)

right panel

· number of bytes and packets received and sent by client/server

· number of transfer errors and erroneous function calls (API errors)

· number of situations when client/server had not free space to receive data

· number of packets transferred to client/server by network module (callback)

· number of packets transferred and received by client/server split into individual packet types (see: 3.10. Packets Used by ASLINK Network Module).

In the window there are Next and Previous buttons. Pressing Next button displays information on the next connection, while pressing Previous displays information on previous connection.

2.5.2 Client-Server Connection Window

The window is opened by selection of appropriate command in the station window menu (View/Show...), context-sensitive menu in stations, clients and servers tree (Show...) or by double clicking on relevant item on stations, clients and servers tree.

The first line contains information on the current status of connection and current station time.

Connection may be in one of the following statuses:

§ inactive

§ server searching

§ answering on search request

§ connecting

§ connected

§ sending

§ disconnecting

§ unknown

The window contains the following information:

left-upper panel

· server searching initialization time (for servers this field is empty)

· connection time

· disconnection time

left-middle panel

· cid – client/server identifier used during connection (in the brackets cid4 is given, which is used for connections with network modules in version earlier than 5.00.000.If cid4 is 0, remote partner of connection operates under control of network module in version 5.00.000 or higher)

· network adapter logical number and a set of protocols related to it used for connections

· network session number

· remote partner name (in the above illustration it is "ASPAD") and remote partner cid identifier

· remote PC name (in case of local connections performed within ASLINK network module between clients and servers located on the same station, instead of PC name there is "local connect." message)

left-bottom panel

In the left bottom panel there is an average transmission rate graph. The way of transmission rate presentation is the same as in average transmission rate graph in station window.

right panel

· number of bytes and packets received and sent by client/server

· number of transfer errors and erroneous function calls (API errors)

· number of situations when client/server had not free space to receive data

· number of packets transferred to client/server by network module (callback)

· number of packets transferred and received by client/server split into individual packet typesIDH_PacketTypes

The window also includes marker of connection between AslView and ASLINK network module.

2.5.3 AslView Viewers Window

The window is opened with AslView viewers... command in View submenu of station window's main menu.

The window displays the list of AslView programs linked to the same ASLINK network module the currently activated AslView is linked to. Each item of the list contains PC name currently linked AslView is located on and user name. By selecting item on the list and pressing Remove button disconnection of selected AslView from network module can be forced. As information exchange between AslView and network module located on remote PC may cause significant loading of the network, especially in case of initialization of diagnostic data acquisition, remote closing of unused connections may be useful in such situations.

NOTE:

Deleting of AslView may be protected with password (see: 2.6. Password Entering).

2.5.4 Operating System Adapters Window

The window is opened with Adapters... command in View submenu of station window's main menu.

The window displays logical adapter numbers defined in the operating system and network protocols related to them.

NOTE:

Not all adapters may be available for ASLINK network module. Unavailable adapters will not be used.

2.5.5 Sessions Window

The window is opened with Sessions... command in View submenu of station window's main menu.

The window presents adapters and sessions tree. Each adapter is related to the list of sessions established or being established with the use of the adapter.

Adapter branch contains information on its logical number, set of protocols and number of sessions realized or being realized. Adapter is also connected with the number of initialized operations related to datagram and session packet reception. Network operations related to session packet reception are initialized only after the session has been established.

Session branches include session id, PC remote name, session status and numbers of initialized send and receive operations. During the listening watch, remote station name field contains '*' character.

In the session status field, one of the following statuses may be displayed:

listening - if ASLINK network module handles at least one server, at least one listening operation is initialized on each adapter;

calling - calling remote station takes place when client make a request for connection with remote station and has no established session with remote station;

connection - there is a session connection with remote station;

disconnecting - session is in connection closing status;

disconnected - session has been closed;

interrupted - session connection has been interrupted.

Session closing can be forced with clicking on Close session button. All client-server connections will be interrupted. This function can only be used on new application testing stage in order to simulate session interruption.

Pressing Adapter button opens network adapter window.

The window also includes marker of connection between AslView and ASLINK network module.

NOTE:

The window includes only information on adapters handled by ASLINK network module.

NOTE:

Session closing may be protected with password (see: 2.6. Password Entering).

2.5.6 Network Adapter Window

The window is opened with Adapter command in sessions window.

The window displays technical information on logical adapter. The range of information depends on adapter/protocol type as well as on operating system. The window also presents all specific adapter-related NetBIOS names registered in the operating system. Each name is related to its number, type (individual/group name), registration status and the last character of the name in hexadecimal format code.

The window also includes marker of connection between AslView and ASLINK network module.

2.5.7 Time Synchronization Window

The window is opened with Synchronization... command in View submenu of station window's main menu.

The window displays the history of time changes and the list of time servers known to ASLINK network module.

Each record of time change history consists of server name and time before and after change. If time change has not occurred on ASLINK module's initiative (the time has been changed by operator or other program), the "unknown" appears as the server name.

· the list of time servers contains the following information:

· server name

· server priority

· interval at which the server transfers time packets

· time of receiving the last packet

· difference between the time of local station and time of timeserver

Pressing Settings button enables to open time synchronization bookmark in ASLINK network module parameterization window.

The time synchronization window also includes a marker of connection between AslView and ASLINK network module.

2.5.8 Network Error Numbers Window

The window is opened with Network errors... command in station window Tools submenu of the main menu.

Messages output into message window in main window may include network operation error codes. Error code may be in form of 8Fnn, 8Enn and 8Bnn, where nn is network error code. The window enables to interpret nn value appearing in error code.

2.5.9 System Error Number Window

The window is opened with System error... command in main window Tools submenu of the main menu.

Messages output by ASLINK network module or AslView program into message window in main window may include error codes output by the operating system. The window enables to interpret errors of this type. After the error number is entered, select code format (most often it is hexadecimal format) and press Search button. The field below the buttons will display error description.

2.5.10 Info Message Send Window

The window is opened with Send message... command in main window Tools submenu of the main menu.

The window enables to send a message to ASLINK network module and forward it to Asix control panel (if Asix has been activated). Sending messages may be useful in case of remote change of ASLINK module's working parameters. It allows leaving a footprint in Asix diagnostic files or control panel that informs about a change and its reasons. By checking appropriate field, appropriate status may be given to the message sent: important message, error or diagnostic message. Checking "write to Asix system panel" field makes a message be transferred to Asix.

2.5.11 Time Format Window

The window is opened with Time format... command in main window Settings submenu of the main menu.

The window allows selecting time and date components to display with messages of message window in main window.

2.5.12 Connect with Station Window

This window is opened with Connect with... command in File submenu of station window's main menu.

This window is used to connect with a station, which is not listed in the stations, clients and servers tree, or with a station, which is present in the tree but is not accessible via the network from the PC where AslView is running. This window may be used to connect with stations belonging to other groups. Such stations are present in the stations, clients and servers tree. Upon connection with the station from external group, the remaining stations of the group will be visible in the stations, clients and servers tree, in the newly opened station window.

TheConnect through intermediate station item should be selected only when the station to be connected is not accessible from the PC where AslView is running. The above-mentioned situation takes place in case of PCs provided with multiple network interface boards or with appropriately configured network software.

If in the above figure AslView is connected with A station, the B station will be visible in the stations, clients and servers tree. However, direct connection between AslView and the B station is usually impossible. It is possible only when A station functions as router[3]. Connection with B station is possible via ASLINK network module (in version 5.00.000 or higher) operating on A station. This type of connections is realized using ‘Connect with …’ window. In order to perform such a connection, check Connect through intermediate station field and enter the name of the intermediate station into the field below. If the network topology is more complex and the intermediation of greater number of stations is required, enter them into this field and separate with a comma. Station names should be entered in the order from the closest to the furthest in relation to PC location where AslView is running.

When connection with a station is established a new station window is opened.

NOTE:

PC names in individual windows should be entered the same as defined in the network settings of the operating system.

NOTE:

During connection with use of intermediate stations, an application (Asix, AsixConnect, AslView) that uses ASLINK network module has to be activated on each of them. It should be taken into consideration that intermediate connections increases loading of intermediating PCs by the activities related to data retransmission.

--------------------------------------

[3] Router – PC, which is connected to at least two networks and transfers packets between the networks.

2.5.13 Station Info Window

The window is opened by selecting the appropriate command in the station window menu (View/Show...), context-sensitive menu in stations, clients and servers tree (Show...) or by double clicking on relevant item on stations, clients and servers tree.

The window displays the basic information on a station:

· ASLINK network module version

· PC name defined in network settings of operating system

· operating system name and its version

· "Service Pack" update version (for Windows NT/2000 only)

· logical adapter number and a set of protocols and network interface cards related to the adapter the station is (or was) "visible" from.

Connect button is used to initialize connection with new station. The button is active for stations operating under control of ASLINK network module in version 5.00.000 or higher.

For stations operating under control of ASLINK network module in version earlier than 5.00.00 a message "ASLINK module version 4.?.?" will appear only.

2.6. Password Entering

Some functions of AslView may significantly change the operation of network module. These functions include, among other things, parameter change, session close, etc. The functions may be protected with a password. When trying to execute the functions, pop-up panel is opened, which requires that password should be entered. If password is incorrect, the function is not executed. Correct password is valid within 10 minutes from the execution of the last function protected with a password. It means it is enough to enter a password only once, if interval between the executions of successive functions protected with a password will not exceed 10 minutes.

3. ASLINK Network Module Configuration Methods

Network module can be configured with AslView's network module parameters window or by edition of initialization file read out by the network module on initialization.

From asix5 package configuration of Aslink module is realized with use of Architect program. See more information: Architect user’s manual, chapter 3.10. Configuration of Network Module.

3.1. Parameters in Initialization File

Network module parameters can be found in [ASLINK] section of the initialization file. The initialization file is read only once on initialization of network module. If ASLINK network module is activated by Asix, the application's initialization file is read. If other program activates ASLINK module, ASLINK.INI file is searched and then, in the event when ASLINK.INI has not been found, ASIX.INI file is searched. It is not recommended to put parameters in ASIX.INI file.

When searching for the initialization file, the following locations are checked:

· current directory;

· directory from which the application that activated ASLINK network module has been loaded;

· directory ASLINK.DLL library is located in;

· searching is continued by WINDOWS.

The above-mentioned algorithm of searching for initialization file is used only when the application that activates network module is different from Asix.

3.2. Station Identification

Stations are identified by names. Each station should have a unique name within the network. Besides individual name, each station belongs to the group of stations that have common group name. Data exchange between the stations belonging to various groups is impossible. It also concerns time synchronization – the station time is synchronized within one group only. The exception of this rule is stations operating under the control of network module in version earlier than 5.00.000.Network module in version 5.00.000 or higher, configured to operate with stations in earlier versions, will be able to connect with them and synchronize the time. Stations operating under control of network module in older version belong to all the groups.

The NAME parameter is used to give a unique network name to the station. The Group parameter assigns a group name to the station.

NOTE:

If the network module has not found the initialization file, [ASLINK] section of the initialization file or if no station name was given, the station name will be created on the basis of PC name defined in network settings for the system.

3.3. Access to Network

ASLINK network module performs access to the network via logical adapters. Logical adapter is a physical network adapter and a set of network protocols assigned to them. Logical adapters are identified by means of their numbers or names. In Windows NT, relationships between logical adapter numbers and protocols and real network adapters can be defined by means of network settings of the operating system. These bindings can also be read out with AslView. In Windows 2000, information on the binding can be obtained only with AslView. In Windows 95 and 98, this information is unavailable, all available logical adapters should be used then.

Set of logical adapters is defined with Adapters parameter. The value of this parameter is logical adapter numbers or names separated with a comma. If the value is ‘*’, all the logical adapters available within the operating system will be used (except those ones related to WAN). General form of Adapters parameter is presented at the end of this item.

In some applications, it is necessary to limit the set of stations connection can be established with. For this purpose, Find_Server_Adapters parameter is used. As value the numbers or names of adapters on which servers will be searched for are given. The parameter affects only the operation of clients on local station. It does not restrict connections made on remote clients' initiative. Lack of this parameter or ‘*’ entered as its value will make all adapters be used for searching.

Another way of restriction of the set of station connections will be established with Filter parameter. Value of this parameter is the comma-separated list of names of stations, connections can be established with. The parameter regards establishment of connections with remote servers only. Clients on remote stations can connect with servers on local station with no restrictions. If the filter name contains ‘?’ characters, remote station name will not be compared to filter in the place of these characters. For example, if „A1X", „A2X" and „B1X" stations can be found within the network, and the filter form is „A?X", it will be possible to make connections with servers on „A1X" and „A2X" but impossible to make connection with „B1X" station. Filter name may contain ‘*’ character. In such a case, filter and station names are only compared in the part preceding the ‘*’ character.

General form of Adapters parameter.

Adapters=<adapter_description>,<adapter_description>,..

<adapter_description>=* | [-][<adapter_name>][/<card_number>] | [-]<adapter_number>

<adapter_name>=<description>[&<description>&<description>....]

<description>=<text> | <synonym>

<synonym>=tcpip | ipx | netbeui | wan

ASLINK analyses Adapters from the left to the right. At the beginning, set of handled adapters is empty. Each successive <adapter_description> item adds successive adapters to this set or deletes them if <adapter_description> starts with '-'. The '*' character means all available adapters except for those related to WAN-type links. The <adapter_description> element can be an adapter logical number defined in the operating system (<adapter_number>) or can define the group of logical adapters that meet specific criteria. The criteria are defined by <description> elements joined with '&'. Each <description> element is a fragment of the text, which define "network path" of logical adapter. The <description> elements can also be synonyms of protocol names appearing in „network path" (e.g. NetBEUI is a synonym of Nbf protocol). The sequence of <description> elements joined with '&' is compared to all "network paths" and if it is consistent, appropriate adapters are added to adapter set. "Network path" is consistent with <adapter_name> if all <description> elements appear in it. If after the adapter name /<card_number> appears, only those logical adapters are compared, which are related to the specific network interface card. If <adapter_name> consists of /<card_number> only, all logical adapters related to the specific network interface card are added to the set. As mentioned before, in the beginning of the Adapters parameter the adapter set is empty. The exception is when the first <adapter_description> element is preceded with '-'. In such a case it is assumed that the '*' character occurred before, it means all adapters except for those related to "WAN" connections.

EXAMPLES

The following adapters are defined within the system:

Adapters = NBF

all logical adapters with Nbf protocol, but with no WAN-type links

Adapters = Realtek&#2

all logical adapters related to " Realtek RTL8029(AS) PCI Ethernet Adapter #2"

Adapters = Nbf&Realtek, IPX

all logical adapters related to Nbf protocol and Realtek cards as well as adapters related to IPX (NwlnkNb) protocol

Adapters = tcpip

all logical adapters related to TCP/IP protocol, but without WAN-type links

Adapters = tcpip&3Com

logical adapter 2 (TCP/IP protocol on 3Com card)

Adapters = NETBEUI&In

logical adapter 8 (incoming WAN connection)

Adapters = - TCPIP&3Com

all adapters with exception for logical adapter 2 (TCP/IP protocol and 3Com card) and WAN-type connections

Adapters= - IPX

all logical adapters with exception for adapters related to IPX protocols and WAN-type links

Adapters= - /2

all logical adapters with exception for adapters related to the card number 2 (slot number) and WAN-type links

Adapters= 1,3,5

logical adapters 1, 3 and 5

Adapters= *, wan

all logical adapters

Default adapter specification values has the following form:

Adapters = *

i.e. all adapters except for those related to WAN-type links

NOTE:

If the network module has not found the initialization file, [ASLINK] section of the initialization file or if no Adapters parameter was given, all logical adapters, except for those related to "WAN", available within the operating system will be used.

3.4. Time Synchronization

ASLINK network module can synchronize its time with other stations. Time synchronization with other stations can be disabled by entering Yes as the value of No_time_synchronization parameter. If the difference between the station and remote time server exceeds the value set in Maximum_Time_Difference in at least as many packets received as defined in Time_Packets_Count, the local station time will be set. The maximum time difference is given in seconds. To limit the set of timeservers the time can be synchronized with use Time_servers parameter. Its value is the list of timeservers. Similarly to filters, server names may contain ‘?’ and '*' characters. In order for a station to change its time, it must receive from one server at least as many successive time packets as specified in Time_Packets_Count parameter.

In order for the station to function as a timeserver, set Time_Server_Priority and Time_Server_Interval parameters. If one of the values is less than zero, the station will not function as timeserver. If parameter is 0, 5 is assumed for priority and 10 for interval. Server priority is the number that specifies timeserver importance. At present only one server with the highest priority is active. The active server distributes network packets containing the current time of server time at interval defined in Time_Server_Interval parameter. Interval is expressed in seconds.

As a server is no more active its functions can be taken over by another server, which was inactive due to its low priority. A server can take up functions of timeserver if the current server will not transfer any packet for the time equal to the product of Max_Lost_Time_Packets (defined on a local station) and interval of the current timeserver (defined on remote timeserver station). In order to avoid a situation when erroneous parameterization of remote timeserver (e.g. interval equal to 1 hour) causes that the network is not synchronized for a long time, the Max_Time_Server_Interval parameter is introduced. If interval of the timeserver, which new server does not receive time packets from, is higher than the value defined in this parameter, for the purposes of calculation of the time after which the new server takes up operation, the value defined in this parameter is assumed.

If the difference between the time of the server and local time exceeds the value defined in Long_Time_Diff parameter, the station time will be changed only after at least as many packets will be received as defined in Long_Time_Diff_Count parameter. The parameters leave some time to correct erroneous time setting by remote station operator.

Server transfers time packets to all the logical adapters used. If timeserver client handles a few logical adapters, time packets received from one adapter can be transferred to the remaining adapters. The function can be used to synchronize time in sub-networks different from the sub-network timeserver operates in. In order to start time distribution to other networks set "YES" in Time_Replication parameter on the station connected to many sub-networks. Time packets can be subject to further replication on successive stations until the number of replications exceeds the value of Max_Time_Hops parameter. The parameter is defined on timeserver. In order to change the maximum number of replications on stations, which carry out replications, define Max_Time_Hops2 parameter.

3.5. Resources Allocation

Most of required resources are allocated automatically by ASLINK network module. The exception is buffers in operating memory designed to receive datagram and session packets. Their lack on a specific station may result in disorders in operation of remote stations. These disorders may occur in case of large number of stations and high traffic intensity between the stations. Default values of buffer numbers were selected with a large surplus so that they can be sufficient even in case of large intensity. However, one cannot preclude their lack in specific circumstances.

The Buffers_Count parameter defines the number of buffers to receive session packets.

The Receive_datagrams parameter defines the number of buffers to receive datagram packets.

3.6. Password Protection

With the use of AslView it is possible to execute the functions that can significantly affect the operation of the network module. In order to avoid accidental or unauthorized access to these functions, the network module can be protected with a password. The password can be entered with Changes_Lock parameter. The values of this parameter can be "YES", "NO" or password text. If "YES" is selected, the functions protected with a password cannot be done. If "NO" is selected, access to the network module is unlimited. Other values are interpreted as a password, which needs to be entered by the user before a function protected with a password can be executed. Once entered, a password is valid for 10 minutes. Each successive execution of a function protected with a password causes time to be counted down from the beginning.

A password can be encoded in accordance with password encoding in Asix. If "YES" is selected in Password_Coding parameter, the password must be encoded.

NOTE:

The Password_Coding parameter is set in [PASSWORDS] section of the initialization file and it is valid for the whole Asix system.

3.7. Connections with Network Module in Older Versions

A station operating under control of the network module in version 5.00.000 or higher can connect with network module in older versions only when ASLINK4 parameter is set to "YES". This ability involves increased load of the network on the connection establishment stage. Default value of Aslink4 parameter is "YES", but in the future versions of the network module it is expected that default value will be changed.

NOTE:

Activation of the network module in version earlier than 5.00.000 on a station, on which a module in higher version operated previously, must involve reactivation of all remote stations on which network modules in higher versions operate (restart the applications, which use ASLINK network module). The necessity of reactivation does not regard the stations operating with module in older version.

3.8. Diagnostics

These parameters control diagnostic information output by ASLINK network module. This document does not contain data that allow full interpretation of diagnostic information. The purpose of diagnosis is to help in discovering of the reasons for incorrect functioning of Asix network connections and should be activated by ASKOM employees or with their support.

Diagnostic information generated by the network module can be saved into log file and/or transferred to AslView programs connected to the network module.

The Log_File parameter defines the name and location of the file the diagnostic information is to be output to. Next to the name, after a comma, the maximum size of the log file in megabytes can be entered.

Before saving into the log file and/or transferring to AslView programs, the diagnostic information (events) is saved into the intermediate buffer in the operating memory. If speed of diagnostic information creation is much higher than the speed of saving/transferring it, the diagnostic information may be lost. It is manifested by messages like "Loss of nn events" written into the log file or AslView panel. The size of events buffer is controlled by Min_event_buff and Max_event_buff parameters. Buffer size is expressed in bytes. Initially, a buffer described with Min_event_buff parameter is allocated. In case of losing events, it is gradually increased until the size defined with Max_event_buff parameter is obtained.

3.9. List of ASLINK Network Module Parameters

Detailed information on Aslink module parameterization are placed in asix.pdf file (see: SECTIONS/Section of Applications *.ini File).

3.10. Packets Used by ASLINK Network Module

Some diagnostic information of AslView includes data on packets transferred via the network between client and server. Below the connection establishment process and types of packets used in this process are described.

It is always client that takes initiative to establish a connection. Before it is established, client must locate server location within the network. For this purpose, it transfers FIND_SERVER packet and defines resources the server should have at its disposal. Servers answer with SERVER_PROFILE packets. On the basis of received answers, client transfers the LINK_TO_SERVER packet to a selected server. If server accepts the proposal to establish connection, it answers with ACCEPT_LINK packet. Server may reject the proposal with REJECT_LINK packet. Receiving ACCEPT_LINK packet by client finishes the stage of establishing connection between client and server. During connection, client and server exchange data between each other with DATA_STREAM packets. Both client and server can close connection by transferring CLOSE_LINK to remote partner. Except for the above-mentioned packets, LINK_STATE packet is also used. Most frequently it is used by ASLINK network module to notify client/server that link has been closed on the module's initiative due to problems during connection.

FIND_SERVER and SERVER_PROFILE are datagram packets. The remaining are session packets.